extremetuxracer (0.7.5-1) unstable; urgency=medium

  * New upstream version 0.7.5.
    - Fix segfault when reaching end of certain courses. Thanks to Andreas
      Eriksson for the report. (Closes: #896924)
  * Use compat level 11.
  * Drop deprecated menu file and xpm icon.
  * Declare compliance with Debian Policy 4.1.4.
  * Use secure URLs.

 -- Markus Koschany <apo@debian.org>  Sat, 28 Apr 2018 18:17:19 +0200

extremetuxracer (0.7.4-1) unstable; urgency=medium

  * New upstream version 0.7.4.
  * Switch to compat level 10.

 -- Markus Koschany <apo@debian.org>  Wed, 02 Nov 2016 20:05:22 +0100

extremetuxracer (0.7.3-2) unstable; urgency=medium

  * Rebuild to remove cruft from binary packages like
    /usr/share/pixmaps/9m_UFBFJRQ that was apparently introduced due
    to a bug in one of Debian's build tools.
  * Install NEWS file as upstream changelog. (Closes: #832321)

 -- Markus Koschany <apo@debian.org>  Tue, 26 Jul 2016 08:11:01 +0200

extremetuxracer (0.7.3-1) unstable; urgency=medium

  * Imported Upstream version 0.7.3.

 -- Markus Koschany <apo@debian.org>  Sun, 24 Jul 2016 00:09:54 +0200

extremetuxracer (0.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 3.9.8.
  * Drop remove-outline.ttf.patch and do not repack the upstream tarball
    anymore because the non-free font was removed.
  * Export DEB_BUILD_MAINT_OPTIONS = hardening=+all.

 -- Markus Koschany <apo@debian.org>  Sun, 17 Apr 2016 08:02:19 +0200

extremetuxracer (0.7.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.7.1+dfsg.
    - Repack the tarball and remove non-free font outline.ttf.
  * Add remove-outline.ttf.patch and remove all references to outline.ttf
    from the sources.

 -- Markus Koschany <apo@debian.org>  Sun, 28 Feb 2016 16:49:20 +0100

extremetuxracer (0.7.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Imported Upstream version 0.7.1.
  * Drop all patches. Applied upstream.
  * Remove source/local-options.
  * Declare compliance with Debian Policy 3.9.7.

 -- Markus Koschany <apo@debian.org>  Sun, 07 Feb 2016 14:31:52 +0100

extremetuxracer (0.7.0-1) experimental; urgency=medium

  * Imported Upstream version 0.7.0.
    - Switch from SDL1 to SFML.
    - This release includes the tuxracer-extras courses.
    - Many GUI and performance improvements.
  * Mark extremetuxracer-data as Multi-Arch: foreign.
  * Add get-orig-source target.
  * Vcs: Switch to https.
  * debian/control:
    - Drop libfreetype6-dev from Build-Depends and add pkg-config.
    - Switch to libglu1-mesa-dev and libsfml-dev.
  * Refresh desktop.patch and rename it to desktop-file.patch.
  * Remove etr.svg in /usr/share/pixmaps because it is installed into
    the hicolor icon directory too.
  * Update debian/copyright for new release.
  * ADD CPPFLAGS.patch and add Debian's default compiler flags to the build.

 -- Markus Koschany <apo@debian.org>  Sat, 23 Jan 2016 21:37:16 +0100

extremetuxracer (0.4-9) unstable; urgency=medium

  * Mark extremetuxracer-data and extremetuxracer-gimp-dev as
    Multi-Arch: foreign. (Closes: #811039)

 -- Markus Koschany <apo@debian.org>  Fri, 15 Jan 2016 18:34:26 +0100

extremetuxracer (0.4-8) unstable; urgency=medium

  * Add libpng16-transition.patch.
    Fix FTBFS with libpng16. Thanks to Nobuhiro Iwamatsu for the report and
    patch. (Closes: #649557)

 -- Markus Koschany <apo@debian.org>  Fri, 08 Jan 2016 18:42:49 +0100

extremetuxracer (0.4-7) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Use cgit and https.
  * Update my e-mail address.
  * Drop debug package because automatic debug packages will be provided
    in the near future.
  * Remove quilt build-dependency because source format 3.0 uses quilt by
    default.

 -- Markus Koschany <apo@debian.org>  Thu, 03 Dec 2015 16:44:14 +0100

extremetuxracer (0.6.0-3) experimental; urgency=medium

  * Add Breaks and Replaces to extremetuxracer-data
    because the svg icon was moved to the data package. (Closes: #806537)
  * Drop the debug package because automatic debug packages will be provided in
    the near future. There is no reason to keep a separate package for this use
    case.

 -- Markus Koschany <apo@debian.org>  Thu, 03 Dec 2015 16:25:36 +0100

extremetuxracer (0.6.0-2) experimental; urgency=medium

  * Declare compliance with Debian Policy 3.9.6.
  * Update my e-mail address.
  * Vcs-Browser: Switch to cgit and use https.
  * Install svg icon to hicolor directory.
    Thanks to Ronny Standtke for the report. (Closes: #747975)
  * desktop.patch: Use svg icon.

 -- Markus Koschany <apo@debian.org>  Sat, 21 Nov 2015 00:31:03 +0100

extremetuxracer (0.6.0-1) experimental; urgency=low

  * New upstream release.
   - The binary of Extreme Tux Racer is now known as etr. Update man pages,
     icon names and paths accordingly.
  * Do not recommend extremetuxracer-extras anymore. Third party courses are
    not supported with this version.
  * Update debian/copyright to copyright format 1.0.
  * Convert sgml files to man pages.
  * Drop desktop file. It is shipped by upstream now.
  * Switch to dh-sequencer and simplify debian/rules.
  * Build with --parallel and autoreconf.
  * debian/control:
   - Drop extremetuxracer-gimp-dev binary package because upstream does not
     ship the corresponding files anymore. Please refer to the documentation in
     /usr/share/doc/extremetuxracer for more information how to create courses
     for etr.
   - Drop the following build-dependencies. They are obsolete.
     + libpng-dev, tcl8.5-dev, docbook-to-man, sharutils, quilt, pkg-config,
       autotools-dev, libxi-dev, libxmu-dev
   - Add dh-autoreconf and libsdl-image1.2-dev instead.
  * Drop all patches. They are either obsolete or merged upstream.
  * desktop.patch: Add keywords to the desktop file.

 -- Markus Koschany <apo@gambaru.de>  Tue, 06 May 2014 21:33:10 +0200

extremetuxracer (0.4-6) unstable; urgency=medium

  [ Alexander Reichle-Schmehl ]
  * Remove myself from Uploaders.

  [ Markus Koschany ]
  * Add myself to Uploaders.
  * Switch to source format 3.0 (quilt).
  * Remove README.source. Source format 3.0 (quilt) uses quilt by default.
  * Use compat level 9 and require debhelper >= 9.
  * Update watch file. Thanks to Bart Martens. (Closes: #738142)
  * Merge changelog entries from experimental into master branch.
  * wrap-and-sort -sab.
  * debian/control:
    - Switch Vcs to Git and change Vcs-fields accordingly.
    - Update Homepage field. (Closes: #706898)
    - Drop transitional packages for planetpenguin-racer and remove Replaces,
      Breaks and Provides fields. They are obsolete.
    - extremetuxracer-data: Change Recommends to Suggests extremetuxracer.
  * debian/rules:
    - Replace dh_clean -k with dh_prep.
    - Pass dpkg's CFLAGS, CPPFLAGS, CXXFLAGS and LDFLAGS to build system.
      Support hardening.
  * desktop.file:
    - Update icon field and point to etracericon.svg.
    - Add keywords to desktop file.
  * Install etracericon.svg to /usr/share/icons/hicolor/scalable/apps.
  * Add start-in-window-mode.patch.
  * Add fix-d-niehoff_experience-courses.patch. Fix wrong paths in event.tcl
    of the d-niehoff_experience courses and prevent the game from crashing.
    - (Closes: #543618, #684582)
    - (LP: #229518, #609487, #909449)
  * Add Mayhem-report.patch. Fix segmentation fault when using the hidden -c
    option without valid parameters. (Closes: #715872)
  * Drop obsolete patches. They were not applied anyway.
    - 20_german_translation.diff
    - 30_G++4.1-fix.diff
    - fix_cups_cheat.diff
  * extremetuxracer-gimp-dev: delete last paragraph of package description.
    - The old homepage went offline and the documentation is no longer
      available.
  * Fix spelling and typos in German man page.

  [ Vincent Cheng ]
  * Import from Ubuntu:
    - Made build infrastructure multiarch-Tcl-aware, fixing FTBFS.

 -- Markus Koschany <apo@gambaru.de>  Tue, 06 May 2014 21:20:42 +0200

extremetuxracer (0.4-5) unstable; urgency=low

  * Replace Build-Depends on libpng12-dev with libpng-dev
    (Closes: #662318)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 06 Mar 2012 00:12:31 +0100

extremetuxracer (0.4-4) unstable; urgency=low

  [ Bertrand Marc ]
  * debian/control: -gimp-dev recommends extremetuxracer (Closes: #589819)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 21 Jul 2010 14:33:51 +0200

extremetuxracer (0.4-3) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * Add planetpenguin-racer, a dummy package to help
    the extremetuxracer transition

  [ Alexander Reichle-Schmehl ]
  * Renenable gimp developer extensions

  [ Paul Wise ]
  * Capitalize "racer" in the Debian menu (Closes: #528996)
  * Correct the path to the README in the manual page (Closes: #529182)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 20 Jul 2010 14:45:15 +0200

extremetuxracer (0.5beta-2) experimental; urgency=low

  [ Paul Wise ]
  * Capitalize "racer" in the Debian menu (Closes: #528996)
  * Correct the path to the README in the manual page (Closes: #529182)

  [ Alexander Reichle-Schmehl ]
  * Add kfreebsd_glutesselator.diff to fix FTBFS on kfreebsd-* (Closes:
    #565805)
    Thanks to Felix Geyer for providing the patch

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 20 Jul 2010 14:11:12 +0200

extremetuxracer (0.5beta-1) experimental; urgency=low

  [ Gonéri Le Bouder ]
  * New upstream (beta) release
   - drop 10_norwegian_translation.diff, upstream switched to gettext
   - drop 40_fix_keyboard_config.diff, doesn't appy anymore, is that still
     needed?
   - refresh fix_segfault_in_race_select_menu.diff
  * Refresh debian/copyright
  * Add planetpenguin-racer, a dummy package to help
    the extremetuxracer transition
  * Clean etracer.6 etracer.de.6

  [ Paul Wise ]
  * Make extremetuxracer.desktop file valid according to desktop-file-validate

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 11 Apr 2009 23:53:00 +0200

extremetuxracer (0.4-2) unstable; urgency=low

  [ Alexander Schmehl ]
  * Improve package description as proposed by Christian Perrier
  * Fix copy paste errors in package descriptions refering to ppracer packages,
    thanks, Guillaume Martres (Closes: #500246)

  [ Eddy Petrișor ]
  * add missing Vcs-Svn headers

  [ Alexander Reichle-Schmehl ]
  * Adopt debian/control to my new name

  [ Gonéri Le Bouder ]
  * Add myself in uploaders:
  * Bump the versionned dep on debhelper, Guillaume Martres (Closes: #500255)
  * Do not apply fix_cups_cheat.diff, fix upstream, thanks Guillaume Martres
    (Closes: #500280)
  * Use the .xpm file for the icon since the .svg has some side effect,
    Mark Purcell (Closes: #488510)
  * Drop the dependency on the obsolete libglu1-xorg-dev
  * extremetuxracer replaces planetpenguin-racer and extremetuxracer-data
    replaces planetpenguin-racer-data and planetpenguin-racer-extras, thanks
    Sven Joachim (Closes: #517887)
  * Bump de standard version to 3.8.1
  * Apply Guillaume Martres patch against debian/copyright, again, thanks!
    (Closes: #500135)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 15 Mar 2009 14:04:33 +0100

extremetuxracer (0.4-1) unstable; urgency=low

  * Initial release (Closes: #465660, #461911, #435288)

 -- Alexander Schmehl <tolimar@debian.org>  Wed, 13 Feb 2008 18:47:03 +0100
